#!/usr/bin/env python
import sys, CORBA, CosNaming, Snake, Snake__POA

class Adder_i (Snake__POA.Adder):
    def __init__(self):
        self.value = 0
        
    def accumulate(self, a):
        self.value = self.value + a
        return self.value

    def reset(self):
        self.value = 0

orb = CORBA.ORB_init(sys.argv, CORBA.ORB_ID)
poa = orb.resolve_initial_references("RootPOA")

adderServant = Adder_i()
poa.activate_object(adderServant)
adderObjref  = adderServant._this()

nameRoot = orb.resolve_initial_references("NameService")
nameRoot = nameRoot._narrow(CosNaming.NamingContext)
name     = [CosNaming.NameComponent("adder", "obj")]
nameRoot.rebind(name, adderObjref)

poa._get_the_POAManager().activate()
orb.run()
